// =====================================
// Функция WndProc
// Функция выполняет обработку сообщений главного
// окна приложения
// =====================================

#define STRICT
#include <windows.h>

LRESULT CALLBACK _export
WndProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
  HDC hdc;             // индекс контекста устройства
  PAINTSTRUCT ps;      // структура для рисования

  switch (msg)
  {
    case WM_PAINT:
    {
      // Получаем индекс контекста устройства
      hdc = BeginPaint(hwnd, &ps);

      // Выводим текстовую строку
      TextOut(hdc, 10, 20, "Сообщение WM_PAINT", 18);

      // Отдаем индекс контекста устройства
      EndPaint(hwnd, &ps);
      return 0;
    }

    case WM_LBUTTONDOWN:
    {
      // Получаем индекс контекста устройства
      hdc = GetDC(hwnd);

      // Выводим текстовую строку
      TextOut(hdc, 10, 40, "Сообщение WM_LBUTTONDOWN", 24);

      // Отдаем индекс контекста устройства
      ReleaseDC(hwnd, hdc);
      return 0;
    }

    case WM_RBUTTONDOWN:
    {
      hdc = GetDC(hwnd);
      TextOut(hdc, 10, 60, "Сообщение WM_RBUTTONDOWN", 24);
      ReleaseDC(hwnd, hdc);
      return 0;
    }

    case WM_DESTROY:
    {
      PostQuitMessage(0);
      return 0;
    }
  }
  return DefWindowProc(hwnd, msg, wParam, lParam);
}
